CREATE TABLE CRST_AP_ENCUMBRANCE_LINES
(
  ENCUMBRANCE_LINE_ID           NUMBER(15),
  INVOICE_DISTRIBUTION_ID       NUMBER(15),
  ENCUMBRANCE_LINE_TYPE         VARCHAR2(30 BYTE),
  ACCOUNTING_DATE               DATE,
  PERIOD_NAME                   VARCHAR2(15 BYTE),
  REVERSAL_FLAG                 VARCHAR2(1 BYTE),
  ENCUMBRANCE_TYPE_ID           NUMBER(15),
  CODE_COMBINATION_ID           NUMBER(15),
  ACCOUNTED_DR                  NUMBER,
  ACCOUNTED_CR                  NUMBER,
  AE_HEADER_ID                  NUMBER(15),
  GL_SL_LINK_ID                 NUMBER(15),
  ORG_ID                        NUMBER(15),
  CREATION_DATE                 DATE,
  CREATED_BY                    NUMBER(15),
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER(15),
  LAST_UPDATE_LOGIN             NUMBER(15),
  REFERENCE1                    VARCHAR2(240 BYTE),
  REFERENCE2                    VARCHAR2(240 BYTE),
  REFERENCE3                    VARCHAR2(240 BYTE),
  REFERENCE4                    VARCHAR2(240 BYTE),
  REFERENCE5                    VARCHAR2(240 BYTE),
  REFERENCE6                    VARCHAR2(240 BYTE),
  REFERENCE7                    VARCHAR2(240 BYTE),
  REFERENCE8                    VARCHAR2(240 BYTE),
  REFERENCE9                    VARCHAR2(240 BYTE),
  REFERENCE10                   VARCHAR2(240 BYTE),
  STAT_AMOUNT                   NUMBER,
  SUBLEDGER_DOC_SEQUENCE_ID     NUMBER(15),
  SUBLEDGER_DOC_SEQUENCE_VALUE  NUMBER(15),
  PROGRAM_UPDATE_DATE           DATE,
  PROGRAM_APPLICATION_ID        NUMBER(15),
  PROGRAM_ID                    NUMBER(15),
  REQUEST_ID                    NUMBER(15),
  DUMMY                         CHAR(1),
  CCID_D                        VARCHAR2(100),
  ORG_NAME                      VARCHAR2(100),
  CREATED_BY_NAME               VARCHAR2(100),
  LAST_UPDATED_BY_NAME          VARCHAR2(100)
);